# Class SVGGraphicsConfiguration

java.lang.Object
java.awt.GraphicsConfiguration
org.jfree.svg.SVGGraphicsConfiguration

public class SVGGraphicsConfiguration extends GraphicsConfiguration
A graphics configuration for the `SVGGraphics2D` class.

## Constructor Summary

Constructors
Constructor
Description
`SVGGraphicsConfiguration(int width, int height)`
Creates a new instance.

## Method Summary

Modifier and Type
Method
Description
`BufferedImage`
`createCompatibleImage(int width, int height)`
Creates a compatible image.
`VolatileImage`
`createCompatibleVolatileImage(int width, int height, ImageCapabilities caps, int transparency)`
Returns a volatile image.
`Rectangle`
`getBounds()`
Returns the bounds for this configuration.
`ColorModel`
`getColorModel()`
Returns the color model for this configuration.
`ColorModel`
`getColorModel(int transparency)`
Returns the color model for the specified transparency type, or `null`.
`AffineTransform`
`getDefaultTransform()`
Returns the default transform.
`GraphicsDevice`
`getDevice()`
Returns the graphics device that this configuration is associated with.
`AffineTransform`
`getNormalizingTransform()`
Returns the normalizing transform.

### Methods inherited from class GraphicsConfiguration

`createCompatibleImage, createCompatibleVolatileImage, createCompatibleVolatileImage, createCompatibleVolatileImage, getBufferCapabilities, getImageCapabilities, isTranslucencyCapable`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SVGGraphicsConfiguration

public SVGGraphicsConfiguration(int width, int height)
Creates a new instance.

Parameters:
  `width` - the width of the bounds.
  `height` - the height of the bounds.

## Method Details

### getDevice

public GraphicsDevice getDevice()
Returns the graphics device that this configuration is associated with.

Specified by:
  `getDevice` in class `GraphicsConfiguration`
Returns:
  The graphics device (never `null`).

### getColorModel

public ColorModel getColorModel()
Returns the color model for this configuration.

Specified by:
  `getColorModel` in class `GraphicsConfiguration`
Returns:
  The color model.

### getColorModel

public ColorModel getColorModel(int transparency)
Returns the color model for the specified transparency type, or `null`.

Specified by:
  `getColorModel` in class `GraphicsConfiguration`
Parameters:
  `transparency` - the transparency type.
Returns:
  A color model (possibly `null`).

### getDefaultTransform

public AffineTransform getDefaultTransform()
Returns the default transform.

Specified by:
  `getDefaultTransform` in class `GraphicsConfiguration`
Returns:
  The default transform.

### getNormalizingTransform

public AffineTransform getNormalizingTransform()
Returns the normalizing transform.

Specified by:
  `getNormalizingTransform` in class `GraphicsConfiguration`
Returns:
  The normalizing transform.

### getBounds

public Rectangle getBounds()
Returns the bounds for this configuration.

Specified by:
  `getBounds` in class `GraphicsConfiguration`
Returns:
  The bounds.

### createCompatibleImage

public BufferedImage createCompatibleImage(int width, int height)
Creates a compatible image. This override is only here to provide support for Java 6 because from Java 7 onwards the super class has a non-abstract implementation for this method.

Overrides:
  `createCompatibleImage` in class `GraphicsConfiguration`
Parameters:
  `width` - the width.
  `height` - the height.
Returns:
  A compatible image.

### createCompatibleVolatileImage

public VolatileImage createCompatibleVolatileImage(int width, int height, ImageCapabilities caps, int transparency) throws AWTException
Returns a volatile image. This method is a workaround for a ClassCastException that occurs on MacOSX when exporting a Swing UI that uses the Nimbus Look and Feel to SVG.

Overrides:
  `createCompatibleVolatileImage` in class `GraphicsConfiguration`
Parameters:
  `width` - the image width.
  `height` - the image height.
  `caps` - the image capabilities.
  `transparency` - the transparency.
Returns:
  The volatile image.
Throws:
  `AWTException` - if there is a problem creating the image.